Package org.eclipse.gef.dnd

# Interface TransferDropTargetListener

All Superinterfaces:
  `DropTargetListener`, `EventListener`, `TransferDropTargetListener`

All Known Implementing Classes:
  `AbstractTransferDropTargetListener`, `TemplateTransferDropTargetListener`

@Deprecated(since="3.21", forRemoval=true) public interface TransferDropTargetListener extends TransferDropTargetListener
Deprecated, for removal: This API element is subject to removal in a future version.
use org.eclipse.jface.util.TransferDropTargetListener instead
A `DropTragetListener` that handles one type of SWT `Transfer`. The purpose of a TransferDropTargetListener is to:

- Determine enablement for a Drop operation. Enablement is often a function drop location, and/or criteria.
- When enabled, optionally showing feedback on the DropTarget.
- Performing the actualy Drop

`DelegatingDropAdapter` allows these functions to be implemented separately for unrelated types of Drags. DelegatingDropAdapter then combines the function of each TransferDropTargetListener, while allowing them to be implemented as if they were the only DragSourceListener.

## Method Summary

### Methods inherited from interface org.eclipse.swt.dnd.DropTargetListener

`dragEnter, dragLeave, dragOperationChanged, dragOver, drop, dropAccept`

### Methods inherited from interface org.eclipse.jface.util.TransferDropTargetListener

`getTransfer, isEnabled`